//==============================================================================
//
//    lossyWAV: Added noise WAV bit reduction method by David Robinson;
//              Noise shaping coefficients by Sebastian Gesemann;
//
//    Copyright (C) 2007-2011 Nick Currie, Copyleft.
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//    Contact: lossywav <at> hotmail <dot> co <dot> uk
//
//==============================================================================
//    Initial translation to C++ from Delphi
//    by Tyge Lvset (tycho), Aug. 2012
//==============================================================================

//==============================================================================
// Set the number of samples for FFT analysis;
//==============================================================================
int SetFFTLength(int SFL_Samples);

//==============================================================================
//  Calculates the (in place) n Fourier Transform of the array of complex
//  numbers represented by FFT_Input to produce the output complex
//  numbers in FFT_Array.
//==============================================================================
void FFT_DIT_Complex();

//==============================================================================
//  Calculates the (in place) n Fourier Transform of the packed array of real
//  numbers represented by FFT_Input to produce the output complex
//  numbers in FFT_Array, then post-processes the results to unpack the
//  Real output in the full FFT_Array.
//==============================================================================
void FFT_DIT_Real();

//==============================================================================
//  Calculates the (in place) Inverse n Fourier Transform of the array of
//  complex numbers represented by FFT_Input to produce the output
//  complex numbers in FFT_Array.
//==============================================================================
void IFFT_DIT_Complex();

//==============================================================================
// Initialise lookup talbes for internal FFT routines.
//==============================================================================
void nfft_double_init();
